ptm_mgau_s Struct Reference

## Data Fields

ps_mgau_t | base
| base structure.
cmd_ln_t * | config
| Configuration parameters.
gauden_t * | g
| Set of Gaussians.
int32 | n_sen
| Number of senones.
uint8 * | sen2cb
| Senone to codebook mapping.
uint8 *** | mixw
| Mixture weight distributions by feature, codeword, senone.
mmio_file_t * | sendump_mmap
uint8 * | mixw_cb
int16 | max_topn
int16 | ds_ratio
ptm_fast_eval_t * | hist
| Fast evaluation info for past frames.
ptm_fast_eval_t * | f
| Fast eval info for current frame.
int | n_fast_hist
| Number of past frames tracked.
logmath_t * | lmath_8b
logmath_t * | lmath

## Detailed Description

Definition at line 68 of file ptm_mgau.h.

## Field Documentation

## base

ps_mgau_t ptm_mgau_s::base

base structure.

Definition at line 69 of file ptm_mgau.h.

## config

cmd_ln_t* ptm_mgau_s::config

Configuration parameters.

Definition at line 70 of file ptm_mgau.h.

## ds_ratio

int16 ptm_mgau_s::ds_ratio

Definition at line 78 of file ptm_mgau.h.

## f

ptm_fast_eval_t* ptm_mgau_s::f

Fast eval info for current frame.

Definition at line 81 of file ptm_mgau.h.

Referenced by ptm_mgau_frame_eval().

## g

gauden_t* ptm_mgau_s::g

Set of Gaussians.

Definition at line 71 of file ptm_mgau.h.

Referenced by ptm_mgau_frame_eval().

## hist

ptm_fast_eval_t* ptm_mgau_s::hist

Fast evaluation info for past frames.

Definition at line 80 of file ptm_mgau.h.

Referenced by ptm_mgau_frame_eval().

## lmath

logmath_t* ptm_mgau_s::lmath

Definition at line 87 of file ptm_mgau.h.

## lmath_8b

logmath_t* ptm_mgau_s::lmath_8b

Definition at line 85 of file ptm_mgau.h.

## max_topn

int16 ptm_mgau_s::max_topn

Definition at line 77 of file ptm_mgau.h.

## mixw

uint8*** ptm_mgau_s::mixw

Mixture weight distributions by feature, codeword, senone.

Definition at line 74 of file ptm_mgau.h.

## mixw_cb

uint8* ptm_mgau_s::mixw_cb

Definition at line 76 of file ptm_mgau.h.

## n_fast_hist

int ptm_mgau_s::n_fast_hist

Number of past frames tracked.

Definition at line 82 of file ptm_mgau.h.

Referenced by ptm_mgau_frame_eval().

## n_sen

int32 ptm_mgau_s::n_sen

Number of senones.

Definition at line 72 of file ptm_mgau.h.

## sen2cb

uint8* ptm_mgau_s::sen2cb

Senone to codebook mapping.

Definition at line 73 of file ptm_mgau.h.

## sendump_mmap

mmio_file_t* ptm_mgau_s::sendump_mmap

Definition at line 75 of file ptm_mgau.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ptm_mgau.h